package com.willalp.control.userinfo.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 注册用户信息对象 hs_sys_userinfo
 *
 * @author willalp
 * @date 2021-11-24
 */

@TableName("hs_sys_userinfo")
public class HsSysUserinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    @TableId
    private String userId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phoneNumber;

    /** 用户密码 */
    @Excel(name = "用户密码")
    private String userPassword;

    /** 证件类型(1:身份证,2:社保卡,3:军官证,4:护照) */
    @Excel(name = "证件类型(1:身份证,2:社保卡,3:军官证,4:护照)")
    private Integer cardType;

    /** 证件号码 */
    @Excel(name = "证件号码")
    private String cardNumber;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String mailBox;

    /** 关联账户 */
    @Excel(name = "关联账户")
    private String relatedAccount;

    /** 机构代码 */
    @Excel(name = "机构代码")
    private String organizationCode;

    /** 是否删除(1:是,0:否) */
    @Excel(name = "是否删除(1:是,0:否)")
    @TableLogic
    private Integer isDelete;

    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public String getUserPassword() {
        return userPassword;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    public void setCardType(Integer cardType) {
        this.cardType = cardType;
    }

    public Integer getCardType() {
        return cardType;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setMailBox(String mailBox) {
        this.mailBox = mailBox;
    }

    public String getMailBox() {
        return mailBox;
    }

    public void setRelatedAccount(String relatedAccount) {
        this.relatedAccount = relatedAccount;
    }

    public String getRelatedAccount() {
        return relatedAccount;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("phoneNumber", getPhoneNumber())
            .append("userPassword", getUserPassword())
            .append("cardType", getCardType())
            .append("cardNumber", getCardNumber())
            .append("birthday", getBirthday())
            .append("address", getAddress())
            .append("mailBox", getMailBox())
            .append("relatedAccount", getRelatedAccount())
            .append("organizationCode", getOrganizationCode())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
